/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Controller.as 5569 2009-10-22 07:48:15Z ardaaydin $
 * --------------------------------------------------------------------------
 */

package org.ow2.jasmine.monitoring.eos.purgetimer.control
{
import com.adobe.cairngorm.control.FrontController;

import org.ow2.jasmine.monitoring.eos.purgetimer.command.*;
import org.ow2.jasmine.monitoring.eos.purgetimer.event.*;
import org.ow2.jasmine.monitoring.eos.purgetimer.model.*;


/**
 * Bind a type of command to an action.
 * @author aydina
 */
public class Controller extends FrontController {


    public function Controller() {
        initialiseCommands();
    }

    public function initialiseCommands() : void {

        this.addCommand(ExecuteActionEvent.EVENT_EXECUTE,ExecuteActionCommand);

    }

}
}
